%global momorel 2
%global emacsver 23.2
%global e_sitedir %{_datadir}/emacs/site-lisp
%global srcname ibus-el-%{version}

Summary: A IBus client for GNU Emacs
Name: elisp-ibus
Version: 0.1.1
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/Editors
URL: https://launchpad.net/ibus.el
Source0: http://launchpad.net/ibus.el/0.1/%{version}/+download/%{srcname}.tar.gz
NoSource: 0
BuildArch: noarch
BuildRequires: emacs >= %{emacsver}
Requires: emacs >= %{emacsver}
Requires: ibus >= 1.2
Requires: python >= 2.5
Requires: python-xlib

%description
IBus is a new input method framework under active development which
is designed to overcome the limitations of SCIM.

IBus uses D-Bus protocol for communication between the ibus-daemon
and clients (engines, panel, config tools). Since the components
run in separate processes there is enhanced modularity and stability.
Client processes can be loaded, started and stopped independently.
The input method engines and clients can be written in any language
with a dbus binding.

ibus.el is a IBus client for GNU Emacs. This program allows users
on-the-spot style input with IBus. The input statuses are individually
kept for each buffer, and prefix-keys such as C-x and C-c can be used
even if IBus is active. So you can input various languages fast and
comfortably by using it.

This program is *not* a part of IBus.

%prep
%setup -q -n %{srcname}

%build
emacs -q -no-site-file -batch -f batch-byte-compile ibus.el

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{e_sitedir}/ibus
install -p -m 644 ibus.el* %{buildroot}%{e_sitedir}/ibus/
install -p -m 755 ibus-el-agent %{buildroot}%{e_sitedir}/ibus/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README doc/COPYING doc/ChangeLog
%dir %{e_sitedir}/ibus
%{e_sitedir}/ibus/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-2m)
- full rebuild for mo7 release

* Sat Jun 12 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.1-1m)
- initial packaging
